# Deploy pages with hexo
image: node:9.7

pages:
  stage: deploy

  cache:
    paths:
    - node_modules/

  script:
  - npm install hexo-cli -g
  - npm install
  - hexo generate

  artifacts:
    paths:
    - public

  only:
  - pages

  tags:
  - pages
